you have to get the "-dle" as a seperate App

Best Answer

Because of the ifreaks who get into iBDSM, lol

Best Answer

i just googled it... lmao

Best Answer

You didn't buy the upgrades?

Best Answer

Didn't you read the disclaimer? You have to purchase it separately. xD

Best Answer

Related Questions